using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace irisDataBase.Model
{
    public class PersonView
    {
        long id;
        string name;
        string sex;
        string deptName;
        string idCardNo;
        string photo;
        Image photoData;

        public void setName(string name) {
            this.name = name;
        }

        public void setSex(string sex)
        {
            this.sex = sex;
        }
        public void setDeptName(string deptName)
        {
            this.deptName = deptName;
        }
        public void setPhoto(string photo)
        {
            this.photo = photo;
        }

        public long getId()
        {
            return id;
        }

        public string getName(){
            return name;
        }

        public string getSex() {
            return sex;
        }
        public string getDeptName()
        {
            return deptName;
        }
        
        public string getPhoto()
        {
            return photo;
        }
        public void setIdCardNo(string idCardNo)
        {
            this.idCardNo = idCardNo;
        }
        public string getIdCardNo()
        {
            return idCardNo;
        }

        public Image getPhotoData()
        {
            return photoData;
        }
        public void setPhotoData(Image photoData)
        {
            this.photoData = photoData;
        }

    }
}
